SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001116: Integrate KVM guest VirtIO drivers - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001116Endian FirewallHardware related (kernel, drivers, hardware)public2008-07-10 13:452010-11-22 11:51
Reporternicoprenzel 
Assigned Topeter-endian 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionfutureFixed in Version2.4.1 
Summary0001116: Integrate KVM guest VirtIO drivers
DescriptionI would highly appreciate to consider the integration of KVM-VirtIO guest drivers into EFW 2.2!

Pherhaps, you should consider to remove the XEN support as it's integration is much more complicated. KVM has been evolved to a comparable virtualization technology.
Furthermore there are indications that the linux community does prefer the KVM solution as it is completely integrated into the Linux kernel.
See here for more: http://blog.codemonkey.ws/2008/05/truth-about-kvm-and-xen.html [^]

The integration of KVM guest VirtIO drivers would speed up the IO throughput especially for network and disk utilization.

See here how to build these drivers: http://kvm.qumranet.com/kvmwiki/Virtio [^]

Thanks.

NicoP.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001435)
steven (reporter)
2008-07-11 09:46

I would 2nd that recommendation
(0002165)
nicoprenzel (reporter)
2009-04-20 11:28

Ping

This feature would be fine. Please consider to apply it to the next EFW community version. Beside it will be easy to integrate.

Updated build page: http://www.linux-kvm.org/page/Virtio [^]

Thanks.

NicoP.
(0002975)
pirip (reporter)
2009-09-21 11:35

Dear endian team,

I strongly support this recommendation. I recently carried out a set of iperf measurements on a KVM virtual machine running endian 2.2. Despite the tested link is Gigabit ethernet, I could only see no more than 95 Mb/s, using the e1000 driver on the endian VM (the physical NIC being an Intel 82572EI).

The same test, run on a Debian 5 VM with virtio supported, resulted in 500 Mb/s both inbound and outbound.

Should the 2.3 version support virtio, the resulting improvement in network performance would be potentially dramatic!

cheers,

Piero
(0003110)
nicoprenzel (reporter)
2009-10-14 19:30

Ping.

Please, build/integrate the virtio kernel modules with your next EFW release!!

Thanks.

NicoP.
(0003768)
nicoprenzel (reporter)
2010-02-11 16:18

Hopefully, endian 2.3.1 would get these drivers?

Pherhaps some statements from the Endian team?

Thanks.

NicoP.
(0003817)
mgabriel (reporter)
2010-02-18 17:12

I'd like to see this as well as we are going to deploy more and more endians (enterprise and open source) running as vms on kvm.
(0003833)
peter-endian (administrator)
2010-02-22 19:42

hi guys.. sorry for the long silence..
we are hugely into structuring things right now,.

next major release (planned for 2010/Q2) will contain a major kernel upgrade, which then includes also kvm, virtio and ballooning
(0004310)
nicoprenzel (reporter)
2010-05-31 11:15

okay, with your EFW 2.4 release the kernel upgrade did also contain the virtio drivers.
But you can't use it when you do a fresh install. It reports an error about a not found NIC, or so.
But after you've done a fresh install and then switch to virtio usage, the EFW 2.4 does recognize the virtio NIC.

But, you've missed to integrate the virtio disk drivers to your init image, I think. So you won't be able to boot a virtio driven disk. But i've to get into details a lot more.

Thanks. NicoP.

- Issue History
Date Modified Username Field Change
2008-07-10 13:45 nicoprenzel New Issue
2008-07-11 09:46 steven Note Added: 0001435
2008-08-08 11:12 peter-endian Status new => confirmed
2008-08-08 11:13 peter-endian Target Version => 2.3
2008-09-10 15:58 chris-endian Target Version 2.3 => future
2009-04-20 11:28 nicoprenzel Note Added: 0002165
2009-09-21 11:35 pirip Note Added: 0002975
2009-10-14 19:30 nicoprenzel Note Added: 0003110
2010-02-11 16:18 nicoprenzel Note Added: 0003768
2010-02-18 17:12 mgabriel Note Added: 0003817
2010-02-22 19:42 peter-endian Note Added: 0003833
2010-05-31 11:15 nicoprenzel Note Added: 0004310
2010-09-24 08:58 peter-endian Status confirmed => resolved
2010-09-24 08:58 peter-endian Fixed in Version => 2.4.1
2010-09-24 08:58 peter-endian Resolution open => fixed
2010-09-24 08:58 peter-endian Assigned To => peter-endian
2010-11-22 11:51 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker